# __gnu_cxx::unary_compose< Operation1, Operation2 > Class Template Reference
[STL extensions from SGI]

An SGI extension . More...

Inheritance diagram for __gnu_cxx::unary_compose< Operation1, Operation2 >:

[legend]
Collaboration diagram for __gnu_cxx::unary_compose< Operation1, Operation2 >:

[legend]
List of all members.

## Public Types

typedef Operation2::argument_type | argument_type
| `argument_type` is the type of the
typedef Operation1::result_type | result_type
| `result_type` is the return type

## Detailed Description

### template<class Operation1, class Operation2>
class __gnu_cxx::unary_compose< Operation1, Operation2 >

An SGI extension .

Definition at line 125 of file ext/functional.

## Member Typedef Documentation

typedef Operation2::argument_type std::unary_function< Operation2::argument_type , Operation1::result_type >::argument_type `[inherited]`

| `argument_type` is the type of the Definition at line 104 of file stl_function.h.

typedef Operation1::result_type std::unary_function< Operation2::argument_type , Operation1::result_type >::result_type `[inherited]`

| `result_type` is the return type Definition at line 107 of file stl_function.h.

The documentation for this class was generated from the following file:

- ext/functional